|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QCDEStyle Class Reference
[QtGui module]

The QCDEStyle class provides a CDE look and feel. More...

     #include <QCDEStyle>

Inherits QMotifStyle.

- List of all members, including inherited members

### Public Functions

- QCDEStyle ( bool useHighlightCols = false )
- virtual ~QCDEStyle ()

- 2 public functions inherited from QMotifStyle
- 23 public functions inherited from QStyle
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject
- 2 protected slots inherited from QStyle

## Detailed Description

The QCDEStyle class provides a CDE look and feel.

This style provides a slightly improved Motif look similar to some versions of the Common Desktop Environment (CDE). The main differences are thinner frames and more modern radio buttons and checkboxes. Together with a dark background and a bright text/foreground color, the style looks quite attractive (at least for Motif fans).

Note that most of the functions provided by QCDEStyle are reimplementations of QStyle functions; see QStyle for their documentation. QCDEStyle provides overloads for drawControl() and drawPrimitive() which are documented here.

See also QWindowsXPStyle, QMacStyle, QWindowsStyle, QPlastiqueStyle, and QMotifStyle.

## Member Function Documentation

### QCDEStyle::QCDEStyle ( bool useHighlightCols = false )

Constructs a QCDEStyle.

If useHighlightCols is false (the default), then the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

### QCDEStyle::~QCDEStyle () `[virtual]`

Destroys the style.